clear 
clc
close all


myc = '1f77b4'; % (blue),
myb = [hex2dec(myc(1:2)),hex2dec(myc(3:4)), hex2dec(myc(5:6))]./255;

myc = 'ff7f0e'; % (orange),
myr = [hex2dec(myc(1:2)),hex2dec(myc(3:4)), hex2dec(myc(5:6))]./255;

myc = '2ca02c'; % (green)
myg = [hex2dec(myc(1:2)),hex2dec(myc(3:4)), hex2dec(myc(5:6))]./255;

myc = 'FF00FF'; % (magenta),
mym = [hex2dec(myc(1:2)),hex2dec(myc(3:4)), hex2dec(myc(5:6))]./255;

% Select the componets you want to plot
pcx = 1;
pcy = 2;

myxtick = [-0.04:0.02:0.08];
for i = 1: length(myxtick)
myxtickstr{i} = num2str(myxtick(i));
end
set(gca, 'xtick', myxtick);


% Wavelengths of the different filters
wl = [0.437, 0.550, 0.701, 0.853];


%%% ----- Getting the meteorites and their ID's
db = load('/home/marcel/Documents/Osirisrex/Relab/Mixture/LinearCombine_BennuMeteorites.bin');
f = round(db.ID/1e5)/100;
n = round(db.ID- f.*100.*1e5); % This is for a single meteorite
%%% ---- Select various meteorites types
mettype = load('/home/marcel/Documents/Osirisrex/Work/200515_BrightSpots/SpectrophotomBSCandidates/ids.txt');
allID = mettype(n); % this is the meteorite type


% Remove the reflectances for which the data is not relevant
idx = intersect(find(db.data(:,1)>0.02), find(db.data(:,1)<0.15));
% Apply the PCA transformation for all meteorites
mydata = PCA_compute(db.data(idx,:));
allID = allID(idx);
n = n(idx);

nuniq = unique(n);


% Select the different types of meteorites
idxhed = find(allID<3); % ID's for HED
idxc = find(allID == 3); % ID's for C-type
idxs = find(allID == 5); % ID's for S-types

function [mypca, median, lowerr, upper] = getPCAregion(idx,mydata, n, pcx,pcy)
    mydata = mydata(idx,:);
    nhead = n(idx,:);
    nuhead = unique(nhead);
    length(nuhead)

    %  plot(mydata(:,pcx), mydata(:,pcy), '*', 'color', myg) % outline the S' types
    for idx = 1: length(nuhead)
    idxline = find(nhead == nuhead(idx));
    %  hold on
    %  plot(mydata(idxline,pcx), mydata(idxline,pcy), '*', 'color', 'k') % outline the S' types
    P = polyfit(mydata(idxline,pcx), mydata(idxline,pcy),1);
    a(idx) = P(1);
    b(idx) = P(2);
    end

    mypca = -0.0355:1e-4:0.40;
    P = [mean(a),mean(b)];
    median= polyval(P,mypca);
    upper = polyval(P + 2*[std(a),std(b)],mypca);
    lowerr = polyval(P - 2*[std(a),std(b)],mypca);
end


[mypca, medianhed, lowerrhed, upperhed] = getPCAregion(idxhed,mydata, n, pcx,pcy);
Plhed = polyfit(mypca, lowerrhed, 1);

[mypca, medianc, lowerrc, upperc] = getPCAregion(idxc,mydata, n, pcx,pcy);
Puc = polyfit(mypca, upperc, 1);

[mypca, medians, lowerrs, uppers] = getPCAregion(idxs,mydata, n, pcx,pcy);
Pus = polyfit(mypca, uppers, 1);

out = getEridata();
% Get the error for the bright boulder, taking into account the format
% v_abs	v_abs_std	b	v	w	x	b_std	w_std	x_std
myerr = [out.data(:,7), out.data(:,2), out.data(:,8), out.data(:,9)] .* [out.data(:,1), ones(size(out.data(:,1))), out.data(:,1), out.data(:,1)];
% Propagate the erros
myerr = PCAerr_compute(myerr);
% save -ascii /home/marcel/test.txt myerr Optionall
out =  PCA_compute(out.data(:,3:6) .* repmat(out.data(:,1),1,4)); % load the csv
% Plot the error
%h = errorbar(out(:, pcx), out(:, pcy), myerr(:, pcx), myerr(:, pcy), '~>.'); set(h, 'linewidth', 2, 'color', [0.75 0.75 0.75]);



function [prob_hed, prob_s, prob_c] = getmypcaprob(x,y, xerr, yerr,Plhed, Pus, Puc)

    N = 1e6;
    X = x + randn(N,1) * xerr;
    Y = y + randn(N,1) * yerr;

    Yref_hed = Plhed(1)*X + Plhed(2) ;
    prob_hed = length(find(Y>Yref_hed))/N;

    Yref_s = Pus(1)*X + Pus(2) ;
    prob_s = length(find(Y<Yref_s))/N;

    Yref_c = Puc(1)*X + Puc(2) ;
    prob_c = length(find(Y<Yref_c))/N;
end
 
idx = 1;
x = out(idx, pcx);
y = out(idx, pcy);
xerr = myerr(idx, pcx);
yerr = myerr(idx, pcy); 
[prob_hed, prob_s, prob_c] = getmypcaprob(x,y, xerr, yerr,Plhed, Pus, Puc);

fid = fopen('/home/marcel/PCAProbAnalysis.txt','w');
fwrite(fid,'#index,prob_HED,prob_OC,prob_CC');
for idx = 1: length(out(:, pcx))
    x = out(idx, pcx);
    y = out(idx, pcy);
    xerr = myerr(idx, pcx);
    yerr = myerr(idx, pcy); 
    [prob_hed, prob_s, prob_c] = getmypcaprob(x,y, xerr, yerr,Plhed, Pus, Puc);
    
    fwrite(fid, sprintf("\n%d,%.2f,%.2f,%.2f",[idx,prob_hed,prob_s,prob_c]));
end
    
fclose(fid);




if 1
    figure('Position',[1,1,1920,560])
    hsubp(1) = subplot(1,3,1);
    out =  PCA_compute([0.019860 0.019794 0.019477 0.019226]);
    plot(out(:, pcx), out(:, pcy), '*','markersize',20, 'linewidth',3, 'color', myr);
    hold on

    plot(mypca,medianhed, '-', "color",myg, 'linewidth', 2);
    plot(out(:, pcx), out(:, pcy), 'ok','linewidth',3,'markerfacecolor','k');
    h = errorbar(mypca, medianhed, zeros(size(mypca)),zeros(size(mypca)), medianhed-lowerrhed,-medianhed+upperhed,'~>'); set(h, "color",[0.8, 1, 0.8]);
    hold on
    plot(mypca,medianhed, '-', "color",myg, 'linewidth', 2);
    %  plot(mypca,upperhed, '-', "color",myg)
    %  plot(mypca,lowerrhed, '-', "color",myg)% Plot the average Bennu
    out =  PCA_compute([0.019860 0.019794 0.019477 0.019226]);
    plot(out(:, pcx), out(:, pcy), '*','markersize',20, 'linewidth',3, 'color', myr);
    % Overplot the bright boulders
    out = getEridata();
    % Get the error for the bright boulder, taking into account the format
    % v_abs	v_abs_std	b	v	w	x	b_std	w_std	x_std
    myerr = [out.data(:,7), out.data(:,2), out.data(:,8), out.data(:,9)] .* [out.data(:,1), ones(size(out.data(:,1))), out.data(:,1), out.data(:,1)];
    % Propagate the erros
    myerr = PCAerr_compute(myerr);
    % save -ascii /home/marcel/test.txt myerr Optionall
    out =  PCA_compute(out.data(:,3:6) .* repmat(out.data(:,1),1,4)); % load the csv
    % Plot the error
    h = errorbar(out(:, pcx), out(:, pcy), myerr(:, pcx), myerr(:, pcy), '~>.'); set(h, 'linewidth', 2, 'color', [0.75 0.75 0.75]);
    plot(out(:, pcx), out(:, pcy), 'ok','linewidth',3,'markerfacecolor','k');

    ylim([-0.015 0.015]);
    xlim([-0.04 0.10]);

    set(gca, "fontsize", 20)

        h = legend('Bennu', 'HED', 'Bright boulders'); set(h,"location", "northwest")
        xlabel('PC1 score');
        ylabel('PC2 score');
    set(gca, 'xtick', myxtick);   
    hold off

    hsubp(2) = subplot(1,3,2);
    out =  PCA_compute([0.019860 0.019794 0.019477 0.019226]);
    plot(out(:, pcx), out(:, pcy), '*','markersize',20, 'linewidth',3, 'color', myr);
    hold on
    plot(mypca,medians, '-', "color",mym, 'linewidth', 2);
    plot(out(:, pcx), out(:, pcy), 'ok','linewidth',3,'markerfacecolor','k');
    h = errorbar(mypca, medians, zeros(size(mypca)),zeros(size(mypca)), medians-lowerrs,-medians+uppers,'~>'); set(h, "color",[1, 0.8, 0.8]);
    hold on
    plot(mypca,medians, '-', "color",mym, 'linewidth', 2);
    %  plot(mypca,uppers, '-', "color",mym)
    %  plot(mypca,lowerrs, '-', "color",mym)
    out =  PCA_compute([0.019860 0.019794 0.019477 0.019226]);
    plot(out(:, pcx), out(:, pcy), '*','markersize',20, 'linewidth',3, 'color', myr);
    % Overplot the bright boulders
    out = getEridata();
    % Get the error for the bright boulder, taking into account the format
    % v_abs	v_abs_std	b	v	w	x	b_std	w_std	x_std
    myerr = [out.data(:,7), out.data(:,2), out.data(:,8), out.data(:,9)] .* [out.data(:,1), ones(size(out.data(:,1))), out.data(:,1), out.data(:,1)];
    % Propagate the erros
    myerr = PCAerr_compute(myerr);
    % save -ascii /home/marcel/test.txt myerr Optionall
    out =  PCA_compute(out.data(:,3:6) .* repmat(out.data(:,1),1,4)); % load the csv
    % Plot the error
    h = errorbar(out(:, pcx), out(:, pcy), myerr(:, pcx), myerr(:, pcy), '~>.'); set(h, 'linewidth', 2, 'color', [0.75 0.75 0.75]);
    plot(out(:, pcx), out(:, pcy), 'ok','linewidth',3,'markerfacecolor','k');

    ylim([-0.015 0.015]);
    xlim([-0.04 0.10]);

    set(gca, "fontsize", 20)

    h = legend('Bennu', 'OC', 'Bright boulders');set(h,"location", "northwest")
    xlabel('PC1 score');
    %      ylabel('PC2 score');
    hold off
    set(gca, 'yticklabel', []);  
    set(gca, 'xtick', myxtick);


    hsubp(3) = subplot(1,3,3);
    out =  PCA_compute([0.019860 0.019794 0.019477 0.019226]);
    plot(out(:, pcx), out(:, pcy), '*','markersize',20, 'linewidth',3, 'color', myr);
    hold on
    plot(mypca,medianc, '-', "color",myb, 'linewidth', 2);
    plot(out(:, pcx), out(:, pcy), 'ok','linewidth',3,'markerfacecolor','k');
    h = errorbar(mypca, medianc, zeros(size(mypca)),zeros(size(mypca)), medianc-lowerrc,-medianc+upperc,'~>'); set(h, "color",[0.8, 1, 1]);
    plot(mypca,medianc, '-', "color",myb, 'linewidth', 2);
    %  plot(mypca,upperc, '-', "color",myb)
    %  plot(mypca,lowerrc, '-', "color",myb)
    out =  PCA_compute([0.019860 0.019794 0.019477 0.019226]);
    plot(out(:, pcx), out(:, pcy), '*','markersize',20, 'linewidth',3, 'color', myr);
    % Overplot the bright boulders
    out = getEridata();
    % Get the error for the bright boulder, taking into account the format
    % v_abs	v_abs_std	b	v	w	x	b_std	w_std	x_std
    myerr = [out.data(:,7), out.data(:,2), out.data(:,8), out.data(:,9)] .* [out.data(:,1), ones(size(out.data(:,1))), out.data(:,1), out.data(:,1)];
    % Propagate the erros
    myerr = PCAerr_compute(myerr);
    % save -ascii /home/marcel/test.txt myerr Optionall
    out =  PCA_compute(out.data(:,3:6) .* repmat(out.data(:,1),1,4)); % load the csv
    % Plot the error
    h = errorbar(out(:, pcx), out(:, pcy), myerr(:, pcx), myerr(:, pcy), '~>.'); set(h, 'linewidth', 2, 'color', [0.75 0.75 0.75]);
    plot(out(:, pcx), out(:, pcy), 'ok','linewidth',3,'markerfacecolor','k');

    ylim([-0.015 0.015]);
    xlim([-0.04 0.10]);

    set(gca, "fontsize", 20)

    h = legend('Bennu', 'CC', 'Bright boulders'); set(h,"location", "northwest")
    xlabel('PC1 score');
    %      ylabel('PC2 score');
    set(gca, 'yticklabel', []);
    set(gca, 'xtick', myxtick);
    hold off

    linkaxes(hsubp,'xy'); % link the axes in x direction (just for convenience)
    set(hsubp(2),'yticklabel',[]);%and also remove the xlabel (delete or comment that line in your code)
    set(hsubp(3),'yticklabel',[]);%and also remove the xlabel (delete or comment that line in your code)


    set(hsubp(1),'units','pixels');
    set(hsubp(2),'units','pixels');
    set(hsubp(3),'units','pixels');

    pos=get(hsubp,'position');
    bottom=pos{1}(2)+15;
    top=pos{1}(2)+pos{1}(4)+25;
    plotspacetb=top-bottom;
    %
    left=pos{1}(1)-150;
    right=pos{3}(1)+pos{3}(3)+150;
    plotspacelr=right-left;

    %
    pos{1}(1) = left;
    pos{1}(3) = plotspacelr/3;
    pos{1}(2) = bottom;
    pos{1}(4) = plotspacetb;

    pos{2}(1) = left+plotspacelr/3;
    pos{2}(3) = plotspacelr/3;
    pos{2}(2) = bottom;
    pos{2}(4) = plotspacetb;

    pos{3}(1) = left+plotspacelr/3+plotspacelr/3;
    pos{3}(3) = plotspacelr/3;
    pos{3}(2) = bottom;
    pos{3}(4) = plotspacetb;

    set(hsubp(1),'position',pos{1});
    set(hsubp(2),'position',pos{2});
    set(hsubp(3),'position',pos{3});
    %  
    %  eval(['print "-S1920,560" -depsc2 ','/home/marcel/PCA1vsPCA2','.eps' ]);
    %  eval(['print "-S1920,560" -dpng ','/home/marcel/PCA1vsPCA2','.png' ]);

    %  figure(4)
    %  h = errorbar(mypca, medianhed, zeros(size(mypca)),zeros(size(mypca)), medianhed-lowerrhed,-medianhed+upperhed,'~>'); set(h, "color",[0.8, 1, 0.8]);
    %  hold on
    %  h = errorbar(mypca, medianc, zeros(size(mypca)),zeros(size(mypca)), medianc-lowerrc,-medianc+upperc,'~>'); set(h, "color",[0.8, 1, 1]);
    %  %  h = errorbar(mypca, medians, zeros(size(mypca)),zeros(size(mypca)), medians-lowerrs,-medians+uppers,'~>'); set(h, "color",[1, 0.8, 0.8]);
    %  
    %  %  plot(mypca,medianhed, '-', "color",myg, 'linewidth', 2);
    %  %  plot(mypca,upperhed, '-', "color",myg)
    %  %  plot(mypca,lowerrhed, '-', "color",myg)
    %  %  
    %  %  plot(mypca,medianc, '-', "color",myb, 'linewidth', 2);
    %  %  plot(mypca,upperc, '-', "color",myb)
    %  %  plot(mypca,lowerrc, '-', "color",myb)
    %  %  
    %  %  plot(mypca,medians, '-', "color",mym, 'linewidth', 2);
    %  %  plot(mypca,uppers, '-', "color",mym)
    %  %  plot(mypca,lowerrs, '-', "color",mym)
    %  
    %  
    %  hold off
end
