function GenerateReportAverage(rootdir, subfolder, fname)

%rootdir = '/home/marcel/Documents/Osirisrex/MyAnalysis/Eri/BS/';
%subfolder = '/home/marcel/Documents/Osirisrex/MyAnalysis/Eri/BS/A1';
%fname = '/home/marcel/Documents/Osirisrex/MyAnalysis/Eri/BS/A1/AllImags_A1_met.csv';

boulderID = subfolder(length(rootdir)+1:end);
imagID = fname(length(subfolder)+2:end-8); imagID1 = imagID; imagID1(find((imagID +0)==95))=[];

repname = [fname(1:end-3),'tex'];
fid = fopen(repname,'w');
fwrite(fid,'\documentclass{article}');
fwrite(fid,["\n",'\usepackage[a4paper,margin=1in]{geometry}']);
fwrite(fid,["\n",'\usepackage{pdflscape}']);
fwrite(fid,["\n",'\usepackage{graphicx}']);
fwrite(fid,["\n",'\pdfinfo{%']);
fwrite(fid,["\n",'  /Title    ()']);
fwrite(fid,["\n",'  /Author   (Marcel Popescu)']);
fwrite(fid,["\n",'}']);
fwrite(fid,["\n",'\begin{document}']);
fwrite(fid,["\n",'\begin{landscape}']);
fwrite(fid,["\n",'\begin{table}']); 
fwrite(fid,["\n",'\caption{{\bf ',boulderID, ' - ', imagID1 ,'} The linear combinations of meteorites data that matched the spectrophotometry of OCAMs.']);
fwrite(fid,["\n",' The first five matches are shown. The percentage (given as a fraction) of each meteorite is shown']);
fwrite(fid,["\n",' together with some information about it.']);
fwrite(fid,["\n",'}']);
fwrite(fid,["\n",'\begin{tabular}{r c l c l c}\hline\hline']);

fidr = fopen(fname, 'r');
l2w = fgetl(fidr);
fwrite(fid,["\n",'No. & Ratio-1 & Sample-1 & Ratio-2 & Sample-2 & LSE \\ \hline']);
k = 1;
while ~feof(fidr)
    l2w = fgetl(fidr);
    if k<6
        fwrite(fid,["\n", num2str(k), '&', l2w ,'\\']);
    end
    
    if k<2
        z0 = strsplit (l2w, "&");
        system(['cp  /home/marcel/Documents/Relab/AverageSpectra/',z0{2},'.png ',fname(1:end-4),'1.png']);
        system(['cp  /home/marcel/Documents/Relab/AverageSpectra/',z0{4},'.png ',fname(1:end-4),'2.png']);
    
    end
    
    
    k += 1;
end

fclose(fidr);







fwrite(fid,["\n",'\hline']);
fwrite(fid,["\n",'\end{tabular}']);
fwrite(fid,["\n",'\label{Meteorite}']);     
fwrite(fid,["\n",'\end{table}']);
fwrite(fid,["\n",'\begin{figure}']);
fwrite(fid,["\n",'\begin{center}']);
if strcmp('All',imagID(1:3))

    fwrite(fid,["\n",'\includegraphics[width=12cm]{',imagID, '.png}'])
    fwrite(fid,["\n",'\includegraphics[width=12cm]{',imagID, '_met.png}']);
    fwrite(fid,["\n",'\end{center}']);
    fwrite(fid,["\n",'\caption{Left: The spectrophotometry obtained from different images of this region. Right: The first three best matches from Tabel 1. These were obtained using the average of the spectrophotometric data shown left.}']);
else
    fwrite(fid,["\n",'\includegraphics[width=12cm]{',imagID, '_met.png}']);
    fwrite(fid,["\n",'\end{center}']);
    fwrite(fid,["\n",'\caption{First three best matches from Tabel 1. }']);
end


fwrite(fid,["\n",'\label{spectrophotom}']);
fwrite(fid,["\n",'\end{figure}']);


fwrite(fid,["\n",'\begin{figure}']);
fwrite(fid,["\n",'\begin{center}']);
fwrite(fid,["\n",'\includegraphics[width=12cm]{',imagID, '_met1.png}']);
fwrite(fid,["\n",'\includegraphics[width=12cm]{',imagID, '_met2.png}']);
fwrite(fid,["\n",'\end{center}']);
fwrite(fid,["\n",'\caption{Relab spectra of meteorites combined on the first match.}']);


fwrite(fid,["\n",'\label{relabmet}']);
fwrite(fid,["\n",'\end{figure}']);






fwrite(fid,["\n",'\end{landscape}']);
fwrite(fid,["\n",'\end{document}']);

fclose(fid);

cd(subfolder);
pause(3);
pwd
out = system(['pdflatex -interaction=batchmode ',imagID, '_met.tex']);
system('rm *.aux');
system('rm *.log');
