function GenerateReport_1Met(rf, MatchID, MatchData, Matchlsq, foldername, fileID)

wl = rf(:,1);
spec = rf(:,2);

figure(1)
h3 = plot(wl, MatchData(3,:), '-+g', "linewidth", 3);
hold on
h2 = plot(wl, MatchData(2,:), '-+b', "linewidth", 3);
h1 = plot(wl, MatchData(1,:), '-+r', "linewidth", 3);
hs = plot(wl, spec, '-*k', "linewidth", 3);
legend([hs,h1, h2, h3], "OCAMs Data", MatchID{1}, MatchID{2}, MatchID{3});
hold off
set(gca, "Fontsize", 20)
xlabel('wavelength[\mum]')
ylabel("Absolute reflectance")

eval(['print -dpng ', foldername, fileID, '_1MetComp.png']);


l2w = 'lsqerr & SpectrumID & SampleID & Sample Name & Source & GeneralType & GeneralType & Type & Type & SubType \\ \hline';
for idx = 1: length(Matchlsq)
    l2w = [l2w,"\n",sprintf('%.5f & ',Matchlsq(idx))];
    infos = readRELABinfo(MatchID{idx}, [1, 2, 25, 29, 30, 31, 32, 33, 34], 1);
    l2w = [l2w,strrep(infos,',',' & '),' \\'];
    if idx < 4;
        xlim([0.35, 2.5]);
        eval(['print -dpng ', foldername, fileID, '_1Met', num2str(idx),'.png']);
    end
end

fid = fopen([foldername, fileID, '_1Met.tex'],'w');
fwrite(fid,'\documentclass{article}');
fwrite(fid,["\n",'\usepackage[a4paper,margin=1in]{geometry}']);
fwrite(fid,["\n",'\usepackage{pdflscape}']);
fwrite(fid,["\n",'\usepackage{graphicx}']);
fwrite(fid,["\n",'\pdfinfo{%']);
fwrite(fid,["\n",'  /Title    ()']);
fwrite(fid,["\n",'  /Author   (Marcel Popescu)']);
fwrite(fid,["\n",'}']);
fwrite(fid,["\n",'\begin{document}']);
fwrite(fid,["\n",'\begin{landscape}']);

fwrite(fid,["\n",'\begin{table}']); 
fwrite(fid,["\n",'\caption{{\bf ', fileID, '}.  The best meteorite spectral fit']);
fwrite(fid,["\n",' The first five matches are shown. The first column gives the least square errors.']);
fwrite(fid,["\n",'}']);
fwrite(fid,["\n",'\begin{tabular}{c c c l l l l l l l}\hline\hline']);
fwrite(fid,["\n",l2w]);
fwrite(fid,["\n",'\hline']);
fwrite(fid,["\n",'\end{tabular}']);
fwrite(fid,["\n",'\label{Meteorite}']);     
fwrite(fid,["\n",'\end{table}']);

fwrite(fid,["\n",'\begin{figure}']);
fwrite(fid,["\n",'\begin{center}']);
fwrite(fid,["\n",'\includegraphics[width=8cm]{',fileID, '_1MetComp.png}']);
fwrite(fid,["\n",'\end{center}']);
fwrite(fid,["\n",'\caption{The first three best matches from Tabel 1.}']);
fwrite(fid,["\n",'\label{spectrophotom}']);
fwrite(fid,["\n",'\end{figure}']);


fwrite(fid,["\n",'\begin{figure}']);
fwrite(fid,["\n",'\begin{center}']);
for idx = 1:3
    fwrite(fid,["\n",'\includegraphics[width=4.5cm]{',fileID, '_1Met', num2str(idx),'.png}']);
end
fwrite(fid,["\n",'\end{center}']);
fwrite(fid,["\n",'\caption{Relab spectra of the three best matches.}']);
fwrite(fid,["\n",'\label{relabmet}']);
fwrite(fid,["\n",'\end{figure}']);


fwrite(fid,["\n",'\end{landscape}']);
fwrite(fid,["\n",'\end{document}']);
fclose(fid);

pause(3);
cd(foldername);
pwd;
out = system(['pdflatex -interaction=batchmode ', fileID, '_1Met.tex']);
system('rm *.aux');
system('rm *.log');
system('rm *.png');
system('rm *.tex');
