function GenerateReport_2Met(rf, MatchID, MatchData, Matchlsq, foldername, fileID)

wl = rf(:,1);
spec = rf(:,2);

figure(1)
h3 = plot(wl, MatchData(3,:), '-+g', "linewidth", 3);
hold on
h2 = plot(wl, MatchData(2,:), '-+b', "linewidth", 3);
h1 = plot(wl, MatchData(1,:), '-+r', "linewidth", 3);
hs = plot(wl, spec, '-*k', "linewidth", 3);
legend([hs,h1, h2, h3], "OCAMs Data", 'I', 'II', 'III');
hold off
set(gca, "Fontsize", 20)
xlabel('wavelength[\mum]')
ylabel("Absolute reflectance")

eval(['print -dpng ', foldername, fileID, '_2MetComp.png']);


A = fileread('/home/marcel/Documents/Osirisrex/Relab/Mixture/Meteorites_phi30.csv');
A = strsplit (A, "\n");
for idx = 2:length(A) - 1
    fnames{idx-1} = strtrim (strsplit (A{idx}, "|"){1});
end




l2w_tab1 = 'Nbr. & lsqerr & Ratio~1 & SpectrumID~1 & SampleName~1 & SubType~1 & Ratio~2 & SpectrumID~2& SampleName~2 & SubType~2   \\ \hline';
l2w_tab2 = 'MatchID & SpectrumID & SampleID & Sample Name & Source & GeneralType & GeneralType & Type & Type & SubType \\ \hline';

for idx = 1: length(Matchlsq)

    f = floor(MatchID(idx)/1e8)/100;
    n = floor((MatchID(idx) - f*100*1e8)/1e4);
    p = floor(MatchID(idx) - f*100*1e8 - n*1e4);

    l2w_tab1 = [l2w_tab1, "\n", sprintf('%d & %.5f & %.2f &',idx, Matchlsq(idx),(1-f))];

    infos_n1 = readRELABinfo(fnames{n}, [1,25,34], 0);
    infos_p1 = readRELABinfo(fnames{p}, [1,25,34], 0);

    l2w_tab1 = [l2w_tab1, strrep(infos_p1,',',' & ') ];
    l2w_tab1 = [l2w_tab1,  sprintf(' & %.2f & ',f), strrep(infos_n1,',',' & '),' \\'];
    
    if idx < 4;
        infos_p2 = readRELABinfo(fnames{p}, [1, 2, 25, 29, 30, 31, 32, 33, 34], 1);
        l2w_tab2 = [l2w_tab2, sprintf('%d-1 & ',idx), strrep(infos_p2,',',' & '),' \\'];
        xlim([0.35, 2.5]);
        eval(['print -dpng ', foldername, fileID, '_2Met', num2str(idx),'1.png']);
    
        infos_n2 = readRELABinfo(fnames{n}, [1, 2, 25, 29, 30, 31, 32, 33, 34], 1);
        l2w_tab2 = [l2w_tab2, sprintf('%d-2 & ',idx), strrep(infos_n2,',',' & '),' \\'];
        xlim([0.35, 2.5]);
        eval(['print -dpng ', foldername, fileID, '_2Met', num2str(idx),'2.png']);
    
    
    end

    
end

fid = fopen([foldername, fileID, '_2Met.tex'],'w');
fwrite(fid,'\documentclass{article}');
fwrite(fid,["\n",'\usepackage[a4paper,margin=1in]{geometry}']);
fwrite(fid,["\n",'\usepackage{pdflscape}']);
fwrite(fid,["\n",'\usepackage{graphicx}']);
fwrite(fid,["\n",'\pdfinfo{%']);
fwrite(fid,["\n",'  /Title    ()']);
fwrite(fid,["\n",'  /Author   (Marcel Popescu)']);
fwrite(fid,["\n",'}']);
fwrite(fid,["\n",'\begin{document}']);
fwrite(fid,["\n",'\begin{landscape}']);

fwrite(fid,["\n",'\begin{table}']); 
fwrite(fid,["\n",'\caption{{\bf ', fileID, '}.  The linear combinations of meteorites data that matched the spectrophotometry of OCAMs.']);
fwrite(fid,["\n",'}']);
fwrite(fid,["\n",'\begin{tabular}{c c c l l l c l l l}\hline\hline']);
fwrite(fid,["\n",l2w_tab1]);
fwrite(fid,["\n",'\hline']);
fwrite(fid,["\n",'\end{tabular}']);
fwrite(fid,["\n",'\label{Meteorite}']);     
fwrite(fid,["\n",'\end{table}']);

fwrite(fid,["\n",'\begin{figure}']);
fwrite(fid,["\n",'\begin{center}']);
fwrite(fid,["\n",'\includegraphics[width=12cm]{',fileID, '_2MetComp.png}']);
fwrite(fid,["\n",'\end{center}']);
fwrite(fid,["\n",'\caption{The first three best matches from Tabel 1.}']);
fwrite(fid,["\n",'\label{spectrophotom}']);
fwrite(fid,["\n",'\end{figure}']);

fwrite(fid,["\n",'\clearpage']);
fwrite(fid,["\n",'\newpage']);

fwrite(fid,["\n",'\begin{table}']); 
fwrite(fid,["\n",'\caption{{\bf ', fileID, '}.  Additional info about the meteorites discussed in the page above.']);
fwrite(fid,["\n",' The first five matches are shown. The percentage (given as a fraction) of each meteorite is shown.']);
fwrite(fid,["\n",'}']);
fwrite(fid,["\n",'\begin{tabular}{l l l l l l l l l l}\hline\hline']);
fwrite(fid,["\n",l2w_tab2]);
fwrite(fid,["\n",'\hline']);
fwrite(fid,["\n",'\end{tabular}']);
fwrite(fid,["\n",'\label{Meteoriteinfo}']);     
fwrite(fid,["\n",'\end{table}']);



fwrite(fid,["\n",'\begin{figure}']);
fwrite(fid,["\n",'\begin{center}']);
for idx = 1:3
    fwrite(fid,["\n",'\includegraphics[width=4.5cm]{',fileID, '_2Met', num2str(idx),'1.png}']);
    fwrite(fid,["\n",'\includegraphics[width=4.5cm]{',fileID, '_2Met', num2str(idx),'2.png}']);
end
fwrite(fid,["\n",'\end{center}']);
fwrite(fid,["\n",'\caption{Relab spectra of the three best matches.}']);
fwrite(fid,["\n",'\label{relabmetinf}']);
fwrite(fid,["\n",'\end{figure}']);


fwrite(fid,["\n",'\end{landscape}']);
fwrite(fid,["\n",'\end{document}']);
fclose(fid);

pause(3);
cd(foldername);
pwd;
out = system(['pdflatex -interaction=batchmode ', fileID, '_2Met.tex']);
system('rm *.aux');
system('rm *.log');
system('rm *.png');
system('rm *.tex');
