clear
clc
close all


%%%%%% This is used to make linear combinations between  various meteorites provided in the Names.csv file %%%%%%%%%%%%%%%%
if 0
    A = fileread('/home/marcel/Documents/Osirisrex/Relab/Mixture/Names.csv');
    A = strsplit (A, "\n");
    M = length(A)-2;
    datar = zeros(4, M);
    for idx = 2:length(A) - 1
        fnames{idx-1} = strtrim (strsplit (A{idx}, "|"){1});
        [out,l2w] = getMAPCAMcolors(load(['/home/marcel/Documents/Relab/Relab/alldata/', tolower(fnames{idx-1}), '.txt']));
        datar(:,idx-1) = out(1:4,2);
    end

    f = 0.02:0.02:0.5;
    N = length(f) * M * M;
    data = zeros(N, 4); k = 0;
    ID = zeros(N, 1);
    for m = 1:length(f)
        for n = 1:M
            for p = 1:M
                if ~strcmp(fnames{n},fnames{p})
                    k += 1;
                    ref = f(m) * datar(:,n) + (1-f(m)) * datar(:,p);
                    data(k,:) = ref';
                    % ID{k} = [num2str(f(m)),'_',fnames{n},'_',fnames{p}];
                    ID(k) = f(m)*1e10 + n* 1e4 +p;
                end
            end
        end
    end
    data = data(1:k,:);
    ID = ID(1:k);

    save -binary /home/marcel/Documents/Osirisrex/Relab/Mixture/LinearCombine.bin data ID
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%% Make mixtures between Bennu average and meteorites %%%%%%%%%%%%%%%%
if 0
    data_bennu = load('/home/marcel/Documents/Osirisrex/Work/200515_BrightSpots/MixBennuWithLab/Bennu_ave_0926.txt');
    data_bennu = data_bennu(:,1);

    A = fileread('/home/marcel/Documents/Osirisrex/Relab/Mixture/Meteorites_phi30.csv');
    A = strsplit (A, "\n");
    M = length(A)-2;
    datar = zeros(4, M);
    for idx = 2:length(A) - 1
        fnames{idx-1} = strtrim (strsplit (A{idx}, "|"){1});
        [out,l2w] = getMAPCAMcolors(load(['/home/marcel/Documents/Relab/Relab/alldata/', tolower(fnames{idx-1}), '.txt']));
        datar(:,idx-1) = out(1:4,2);
    end

    f = 0.01:0.01:1;
    N = length(f) * M;
    data = zeros(N, 4); k = 0;
    ID = zeros(N, 1);
    for m = 1:length(f)
        for n = 1:M
            k += 1;
            ref = f(m) * datar(:,n) + (1-f(m)) * data_bennu;
            data(k,:) = ref';
            % ID{k} = [num2str(f(m)),'_',fnames{n},'_',fnames{p}];
            % yy xxxxx;  5 digits for the spectrum number
            ID(k) = f(m)*1e7 + n;
            
        end
    end
    data = data(1:k,:);
    ID = ID(1:k);

    save -binary /home/marcel/Documents/Osirisrex/Relab/Mixture/LinearCombine_BennuMeteorites.bin data ID
end


%%%%%% Make mixtures between Bennu average and meteorites %%%%%%%%%%%%%%%%
if 1
    data_bennu = load('/home/marcel/Documents/Osirisrex/Work/200515_BrightSpots/MixBennuWithLab/Bennu_ave_0926.txt');
    data_bennu = data_bennu(:,1);

    A = fileread('/home/marcel/Documents/Osirisrex/Relab/Mixture/All_phi30.csv');
    A = strsplit (A, "\n");
    M = length(A)-2;
    datar = zeros(4, M);
    for idx = 2:length(A) - 1
        fnames{idx-1} = strtrim (strsplit (A{idx}, "|"){1});
        [out,l2w] = getMAPCAMcolors(load(['/home/marcel/Documents/Relab/Relab/alldata/', tolower(fnames{idx-1}), '.txt']));
        datar(:,idx-1) = out(1:4,2);
    end

    f = 0.01:0.01:1;
    N = length(f) * M;
    data = zeros(N, 4); k = 0;
    ID = zeros(N, 1);
    for m = 1:length(f)
        for n = 1:M
            k += 1;
            ref = f(m) * datar(:,n) + (1-f(m)) * data_bennu;
            data(k,:) = ref';
            % ID{k} = [num2str(f(m)),'_',fnames{n},'_',fnames{p}];
            % yy xxxxx;  5 digits for the spectrum number
            ID(k) = f(m)*1e7 + n;
            
        end
    end
    data = data(1:k,:);
    ID = ID(1:k);

    save -binary /home/marcel/Documents/Osirisrex/Relab/Mixture/LinearCombine_BennuAllRel.bin data ID
end
