function [w,f] = MixSpectralTypes(t1,f1,t2,f2)

[w1,r1,s] = getDeMeoclass(t1);
[w2,r2,s] = getDeMeoclass(t2);

ft = f1 + f2;
f1 = f1/ft;
f2 = f2/ft;

w = w1;
f = f1*r1 + f2*r2;

plot(w,f, '-r','linewidth',3);
hold on
plot(w1,r1, '-k', 'linewidth',2);
plot(w2,r2, '--k', 'linewidth',2);
hold off
legend('Mixture',t1,t2);
xlabel('Wavelength');
ylabel('Norm.reflectance')


%{
ft = f1 + f2;
f1 = f1;
f2 = f2;

w = w1;
f = f1*r1 + f2*r2;

myfontsize = 24
plot(w,f, '--r','linewidth',5);
hold on
%  plot(w1,r1 * 0.36, '-b', 'linewidth',2);
plot(w2,r2 * 0.05, '-k', 'linewidth',4);
hold off


xlim([0.4, 1]);
ylim([0.03,0.11]);
set(gca, 'xtick', [0.45:0.2:1]);
set(gca, 'ytick', [0.04:0.03:0.12]);
set(gca,'Fontsize',myfontsize);
legend('0.9xCtype + 0.1xVtype','Ctype');
legend boxoff
xlabel('wavelength [\mum]');
ylabel('reflectance')

print -dpng /home/marcel/Documents/Osirisrex/MyAnalysis/MarcelIdeeas/MixtureCV.png

ft = f1 + f2;
f1 = f1/ft;
f2 = f2/ft;

w = w1;
f = f1*r1 + f2*r2;

myfontsize = 24
plot(w,f, '--r','linewidth',5);
hold on
plot(w1,r1, '-b', 'linewidth',4);
plot(w2,r2, '-k', 'linewidth',4);
hold off


xlim([0.4, 1]);
ylim([0.6,1.5]);
set(gca, 'xtick', [0.45:0.2:1]);
set(gca, 'ytick', [0.7:0.3:1.5]);
set(gca,'Fontsize',myfontsize);
legend('0.9xCtype + 0.1xVtype','Vtype','Ctype', "Location", "northwest");
legend boxoff
xlabel('wavelength [\mum]');
ylabel('normalized reflectance')

print -dpng /home/marcel/Documents/Osirisrex/MyAnalysis/MarcelIdeeas/MixtureNormCV.png
%}
