function [out] = getRELABClosestMatch(datain, datarelab)

if nargin<2
    [datarelab] = getRELABdata();
end

wl = datain(:,1)';
radf_orig = datain(:,2)';
err = datain(:,3)';

N = 1e4;
allidx = zeros(5, N);
for i = 1: N
radf = radf_orig  + err .* randn(size(err));
[dist, idx] = sort(sumsq((repmat(radf,size(datarelab.data,1),1) - datarelab.data),2));
allidx(:,i) = idx(1:5);
end

[M, F, C] = mode(allidx(1,:));
out.first.fid =  datarelab.name{M};
out.first.prob = F/N;

aux = [allidx(1,:),allidx(2,:)];
aux(find(aux == M)) = [];
[M1, F1, C1] =  mode(aux);
out.second.fid =  datarelab.name{M1};
out.second.prob = F1/length(aux);

aux = [aux, allidx(3,:)];
aux(find(aux == M1)) = [];
[M2, F2, C2] =  mode(aux);
out.third.fid =  datarelab.name{M2};
out.third.prob = F2/length(aux);



