function [l2w1,l2w] = mixTholenClasses(data, fileid)


norm = 1; % Partially implemented, is not functional
doplot = 1;
if nargin<2
    fileid = '';
    titl = '';
else
    titl = fileid(strfind(fileid,'/')(end)+1:end);
end

data_n = data./data(2);

g1 = {'A',   'B',   'C',    'D',   'EMP',  'EMP',  'EMP', 'F',    'G',   'Q',   'S',  'R',   'V',   'T'};
a1 = [0.224, 0.082, 0.055,  0.053, 0.044,  0.165,  0.043, 0.046,  0.067, 0.165, 0.210, 0.148, 0.309, 0.094];
data_r = [];
data_rn = [];
for i = 1:length(g1)
    [w,r] = getTholenclass(g1{i});
    data_r = [data_r, r*a1(i)];
    data_rn = [data_rn, r];
end

wl = w(3:6);

%%%% First determine the single class classification
% At this point works only for the normalized version
lsqsingle = sqrt(sum((data_rn(3:6,:) - repmat(data_n,1,size(data_rn(3:6,:),2))).^2,1));
[coefs,idxs] = sort(lsqsingle);
l2w1 = '';
for i = 1:3
    l2w1 = [l2w1, sprintf("%s,%.4f\n", g1{idxs(i)}, coefs(i))];
end

if doplot
    figure(1)
    plot(wl,data_n, '-*k', "Linewidth", 3);
    hold on
    for i = 1:3
        [w,r] = getTholenclass(g1{idxs(i)});
        plot(w,r, '-+',"Linewidth", 2);
    end
    hold off
    xlim([0.35,1.1]);
    legend('Data', g1{idxs(1)}, g1{idxs(2)}, g1{idxs(3)});
    set(gca, "Fontsize", 20)
    xlabel('Wavelength [um]', "Fontsize", 20);
    ylabel('Norm. reflctance', "Fontsize", 20);
    if fileid
        title(titl);
        eval(['print -dpdf ',fileid, '_Tholen1.pdf']);
    end

end




f = 0.01:0.01:0.5;
N = length(f) * length(g1) * length(g1) - length(f) * length(g1);
idx = ones(N,3); k = 0;
lsq_diff = zeros(N,2);

for m = 1:length(f)
    for n = 1:length(g1)
        for p = 1:length(g1)
            if n~=p
                k += 1;
            
                ref = f(m) * data_r(:,n) + (1-f(m)) * data_r(:,p);
                ref_n = f(m) * data_rn(:,n) + (1-f(m)) * data_rn(:,p);
                idx(k, :) = [m, n, p];
                lsq_diff(k,:) =  [sqrt(sum((ref(3:6) - data).^2)), sqrt(sum((ref_n(3:6) - data_n).^2))];
            end
        end
    end
end

[coef_r, idx_r] = sort(lsq_diff(:,1));
[coef_rn, idx_rn] = sort(lsq_diff(:,2));



if 0
l2w = '';
figure(1)
plot(w(3:6),data, '-*k');
%errorbar(w(3:6),data, 2e-3*[1,1,1,1]');
hold on
for i = 1 : 5
    l2w = [l2w, sprintf("The match is given by %.2f %s  + %.2f %s with a coef of %.5f\n", f(idx(idx_r(i),1)), g1{idx(idx_r(i),2)},(1-f(idx(idx_r(i),1))), g1{idx(idx_r(i),3)}, coef_r(i))];
    ttl{i} = sprintf("%.2f %s  + %.2f %s, lsq:%.5f\n", f(idx(idx_r(i),1)), g1{idx(idx_r(i),2)},(1-f(idx(idx_r(i),1))), g1{idx(idx_r(i),3)}, coef_r(i));


    ref = f(idx(idx_r(i),1)) * data_r(:,idx(idx_r(i),2)) + (1-f(idx(idx_r(i),1))) * data_r(:,idx(idx_r(i),3));
    if i<3
        plot(w,ref, '-+',"Linewidth", 2);
    end
end
plot(w(3:6),data, '-*k', "Linewidth", 3);
xlim([0.4,1.1]);
legend('Data', ttl{1}, ttl{2});
hold off
end




if norm
l2w = '';
figure(2)
plot(w(3:6),data_n, '-*k');
hold on
for i = 1 : 5
    l2w = [l2w, sprintf("The match is given by %.2f %s  + %.2f %s with a coef of %.5f\n", f(idx(idx_rn(i),1)), g1{idx(idx_rn(i),2)},(1-f(idx(idx_rn(i),1))), g1{idx(idx_rn(i),3)}, coef_rn(i))];
    ttl{i} = sprintf("%.2f %s  + %.2f %s, lsq:%.5f\n", f(idx(idx_rn(i),1)), g1{idx(idx_rn(i),2)},(1-f(idx(idx_rn(i),1))), g1{idx(idx_rn(i),3)}, coef_rn(i));
    ref = f(idx(idx_rn(i),1)) * data_rn(:,idx(idx_rn(i),2)) + (1-f(idx(idx_rn(i),1))) * data_rn(:,idx(idx_rn(i),3));
    if i<3
        plot(w,ref, '-+',"Linewidth", 2);
    end
end
plot(w(3:6),data_n, '-*k', "Linewidth", 3);
xlim([0.4,1.1]);
legend('Data', ttl{1}, ttl{2});
set(gca, "Fontsize", 20)
xlabel('Wavelength [um]', "Fontsize", 20);
ylabel('Norm. reflctance', "Fontsize", 20);
hold off
    if fileid
        title(titl);
        eval(['print -dpdf ',fileid, '_Tholen2.pdf']);
    end
end



