function infos = readRELABinfo(fileid, fields, doplot)

if nargin<2
%    #SpectrumID, SampleID, Source, GeneralType1, GeneralType2, Type1, Type2, SubType
    fields = [1, 2, 29, 30, 31, 32, 33, 34];
end

if nargin<3
    doplot = 0;
end


A = fileread('/home/marcel/Documents/Relab/Relab/MasterCatalog.csv') ;
A = strsplit (A, "\n");
for i = 2:length(A)
    [~, ~, ~, ~, ~, ~, datacel] = regexp (A{i}, '\|');
    if strcmp(tolower(fileid), tolower(datacel{1}))
%          infos = [datacel{1}, ',', datacel{2}, ',', datacel{29}, ',', datacel{30}, ',', datacel{31}, ',', datacel{32}, ',', datacel{33}, ',', datacel{34}];
        infos = [datacel{fields(1)}];
        for fidx = fields(2:end)
            infos = [infos, ',', strrep(datacel{fidx},',','')];
        end        
        break;
    end
end

if doplot
    data = load(['/home/marcel/Documents/Relab/Relab/alldata/',tolower(fileid),'.txt']);
    figure(1)
    plot(data(:,1), data(:,2),'-b',"linewidth",2);        
    set(gca, "Fontsize", 20)
    legend(fileid);
    xlabel('wavelength[\mum]')
    ylabel("Absolute reflectance")
end



%  1  = #SpectrumID
%  2  = SampleID
%  3  = Date
%  4  = ReleaseDate
%  5  = SpecCode
%  6  = Start
%  7  = Stop
%  8  = Resolution
%  9  = SourceAngle
%  10 = DetectAngle
%  11 = AzimuthAngle
%  12 = PhaseAngle
%  13 = Temperature
%  14 = Atmosphere
%  15 = PhotoFile
%  16 = Spinning
%  17 = Aperture
%  18 = Scrambler
%  19 = Depolarizer
%  20 = User
%  21 = NASA_PI_Sponsor
%  22 = ResearchType
%  23 = Reference
%  24 = SampleID
%  25 = SampleName
%  26 = PI
%  27 = SI
%  28 = SI2
%  29 = Source
%  30 = GeneralType1
%  31 = GeneralType2
%  32 = Type1
%  33 = Type2
%  34 = SubType
%  35 = Modified
%  36 = MinSize
%  37 = MaxSize
%  38 = Particulate
%  39 = Texture
%  40 = Origin
%  41 = Location
%  42 = Chem#B
%  43 = Text

